* Figure out how many files we want to process.

lnFiles = adir(laFiles, home() + 'ffc\*.*')

* Instantiate the progress dialog and set some properties.

loProgress = newobject('SFProgressForm', 'SFXSource.vcx')
loProgress.SetDescription('Looking for localized strings')
loProgress.SetMax(lnFiles)
*loProgress.lShowCancel      = .F.
*loProgress.lShowThermometer = .F.

* Search the files for localized strings, updating the progress meter as we go.

lnFound = 0
for lnI = 1 to lnFiles
	lcFile     = laFiles[lnI, 1]
	lcFullFile = forcepath(lcFile, home() + 'ffc')
	lcExt      = justext(lcFile)
	do case
		case inlist(lcExt, 'H', 'PRG')
			lcContents = filetostr(lcFullFile)
			lnFound    = lnFound + occurs('_LOC', upper(lcContents))
		case lcExt = 'VCX'
			use (lcFullFile) again shared
			lnFound = lnFound + occurs('_LOC', upper(METHODS))
	endcase
	if not loProgress.SetProgress(lnI, 'Checking ' + lcFile + '...')
		exit
	endif not loProgress.SetProgress(lnI, 'Checking ' + lcFile + '...')

* Slow things down a bit so we can see the progress.

	inkey(0.05, 'H')

* Just for fun, we'll display the amount of time remaining using the Microsoft
* technique
	
	lnRandom = int(rand() * 5)
	loProgress.SetDescription('Looking for localized strings...' + ;
		transform(lnRandom) + ' seconds remaining')
next lnI

* Display the results.

messagebox(transform(lnFound) + ' instances found in ' + ;
	transform(seconds() - loProgress.nSeconds) + ' seconds.')
